## Create **post** `/api/v2/contacts` Create a new contact or update existing if update_if_exists is true ### Body Parameters - `number: string` Contact's phone number in E.164 format (preferred) - `assigned_to_email: optional string` Email of assigned user (preferred) - `assignedToEmail: optional string` Email of assigned user (deprecated, use assigned_to_email) - `custom_variables: optional map[string]` Custom key-value pairs. Keys are human-readable labels; new labels are auto-created. - `first_name: optional string` Contact's first name (preferred) - `firstName: optional string` Contact's first name (deprecated, use first_name) - `last_name: optional string` Contact's last name (preferred) - `lastName: optional string` Contact's last name (deprecated, use last_name) - `phone_number: optional string` Contact's phone number (deprecated, use number) - `phoneNumber: optional string` Contact's phone number (deprecated, use number) - `sendblue_number: optional string` Associated Sendblue phone number to send with (preferred) - `sendblueNumber: optional string` Associated Sendblue phone number (deprecated, use sendblue_number) - `tags: optional array of string` Tags for the contact - `update_if_exists: optional boolean` If true, updates the contact if it already exists ### Returns - `contact: optional Contact` - `assigned_to_email: optional string` Email of assigned user - `company_name: optional string` Company name - `created_at: optional string` When the contact was created - `custom_variables: optional map[string]` Custom key-value pairs stored on the contact. Keys are human-readable labels. - `first_name: optional string` First name - `last_name: optional string` Last name - `phone: optional string` Phone number in E.164 format - `sendblue_number: optional string` Associated Sendblue phone number - `tags: optional array of string` Tags associated with the contact - `verified: optional boolean` Whether the contact is verified - `status: optional string` ### Example ```http curl https://api.sendblue.co/api/v2/contacts \ -H 'Content-Type: application/json' \ -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \ -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET" \ -d '{ "number": "number", "custom_variables": { "Lead Source": "Website" } }' ```